%define pkgver %(echo %version | cut -d. -f1-3)
Name:          mono
Version:       6.12.0.182
Release:       1mamba
Summary:       A .NET runtime environment
Group:         Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.mono-project.com
Source:        http://download.mono-project.com/sources/mono/mono-%{version}.tar.xz
Source1:       mono-binfmt
Source2:       mono-find-provides
Source3:       mono-find-requires
Source4:       mono.attr
Patch0:        %{name}-1.9.1-ppc-threading.patch
Patch1:        %{name}-2.6.4-required.patch
License:       GPL, LGPL, MIT, BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libkrb5-devel
BuildRequires: libstdc++6-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: bison
BuildRequires: pkgconfig
BuildRequires: valgrind >= 3.3.1
BuildRequires: libgdiplus-devel >= 1.9
BuildRequires: cmake
#BuildConflicts: mono-core < 6
%systemd_requires
Requires:      ca-certificates
Requires:      libgdiplus
Provides:      mono-core
Obsoletes:     mono-core < 6.12.0.122
Provides:      mono-ikvm = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     mono-ikvm < 6.12.0.122
Provides:      monodoc
Obsoletes:     monodoc < 6.12.0.122
Provides:      mono-jay
Obsoletes:     mono-jay < 6.12.0.122
Provides:      mono-web
Obsoletes:     mono-web < 6.12.0.122
Provides:      mono-winforms
Obsoletes:     mono-winforms < 6.12.0.122
Provides:      mono-nunit
Obsoletes:     mono-nunit < 6.12.0.122
Provides:      mono-data
Obsoletes:     mono-data < 6.12.0.122
Provides:      mono-locale-extras
Obsoletes:     mono-locale-extras < 6.12.0.122
Provides:      mono-extras
Obsoletes:     mono-extras < 6.12.0.122
Provides:      mono-jscript
Obsoletes:     mono-jscript < 6.12.0.122
Provides:      mono-data-sqlite
Obsoletes:     mono-data-sqlite < 6.12.0.122
Provides:      mono-data-sybase
Obsoletes:     mono-data-sybase < 6.12.0.122
Provides:      mono-data-oracle
Obsoletes:     mono-data-oracle < 6.12.0.122
Provides:      mono-data-postgresql
Obsoletes:     mono-data-postgresql < 6.12.0.122
Provides:      mono-data-firebird
Obsoletes:     mono-data-firebird < 6.12.0.122
Provides:      mono-ibm-data-db2
Obsoletes:     mono-ibm-data-db2 < 6.12.0.122
Provides:      mono-bytefx-data-mysql
Obsoletes:     mono-bytefx-data-mysql < 6.12.0.122
Provides:      mono(System.Reactive.Linq)
Provides:      mono(Microsoft.Build.Framework)
Provides:      mono(Microsoft.Build.Tasks.Core)
Provides:      mono(Microsoft.Build.Utilities.Core)
Provides:      mono(Mono.Cecil)
Provides:      mono(System.Buffers)
Provides:      mono(System.Numerics.Vectors)
Provides:      mono(System.Runtime.Loader)
Provides:      mono(System.Text.Encoding.CodePages)
Provides:      mono(System.Runtime.CompilerServices.Unsafe) = 4.0.4.1
Provides:      mono(System.Web.WebPages.Razor) = 2.1.0.0
Provides:      mono(System.Web.Mvc) = 4.1.0.0
Provides:      mono(Mono.Posix) = 2.0.0.0
Provides:      mono(System.Web.Razor) = 2.1.0.0
Provides:      mono(System.Web.WebPages) = 2.1.0.0

%description
The Mono Project is an open development initiative that is working to develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy cross-platform .NET applications.

%package devel
Summary:       Development tools for Mono
Group:         Development/Languages
Obsoletes:     mono-cilc < 6.12.0.122
Provides:      mono-cilc = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      mono-nunit-devel
Obsoletes:     mono-nunit-devel < 6.12.0.122
Provides:      monodoc-devel
Obsoletes:     monodoc-devel < 6.12.0.122
Requires:      libglib-devel

%description devel
The Mono Project is an open development initiative that is working to develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy cross-platform .NET applications.
This package completes the Mono developer toolchain with the mono profiler, assembler and other various tools.

%debug_package

%prep
%setup -q
#-D -T
#:<< ___EOF
#%patch0 -p1 -b .ppc-threading
#%patch1 -p1

## NOTE: this is to pass %{_libdir} to __mono_requires to allow running of monodis
## using internal libraries to allow 2 -> 3 smooth update
#% define __mono_requires %{_builddir}/mono-%{version}/mono_requires.sh
#cat > mono_requires.sh << _EOF
#%ifarch x86_64
## WORKAROUND: LD_LIBRARY_PATH seems to be ignored in x86_64
#export LD_PRELOAD=%{buildroot}%{_libdir}/libmono-2.0.so.1.0.0
#%endif
#%{_prefix}/lib/rpm/mono-find-requires %{_builddir} %{buildroot} %{_libdir}
#_EOF
#
#% define __mono_provides %{_builddir}/mono-%{version}/mono_provides.sh
#cat > mono_provides.sh << _EOF
#%ifarch x86_64
## WORKAROUND: LD_LIBRARY_PATH seems to be ignored in x86_64
#export LD_PRELOAD=%{buildroot}%{_libdir}/libmono-2.0.so.1.0.0
#%endif
#%{_prefix}/lib/rpm/mono-find-provides %{_builddir} %{buildroot} %{_libdir}
#_EOF
#
#chmod +x mono_requires.sh mono_provides.sh

%build
#:<< ___EOF
##export LDFLAGS="-L /lib:/usr/lib"
%configure \
   --sbindir=%{_bindir} \
   --with-mcs-docs=no \
   --with-ikvm=yes \
   --with-tls=__thread \
   --with-ikvm-native=yes \
   --with-jit=yes \
   --with-x \
   --with-preview=yes

#  --enable-shared \
#  --enable-static \
#   --with-static_mono=yes \

%make
#-j1
make -C mcs/jay

#make check

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%makeinstall
%makeinstall -C mcs/jay

# fix documentation
rm -fr %{buildroot}%{_datadir}/libgc-mono

# this was removed upstream:

rm -f %{buildroot}%{_bindir}/mbas
rm -f %{buildroot}%{_prefix}/lib/mono/?.?/CorCompare.exe
rm -f %{buildroot}%{_prefix}/lib/mono/?.?/browsercaps-updater.exe*
rm -f %{buildroot}%{_prefix}/lib/mono/?.?/ictool.exe*

# only for Windows
rm -fr %{buildroot}%{_prefix}/lib/mono/gac/Mono.Security.Win32
rm -f  %{buildroot}%{_prefix}/lib/mono/?.?/Mono.Security.Win32.dll

%find_lang mcs

install -d -m0755 %{buildroot}%{_sysconfdir}/prelink.conf.d
cat > %{buildroot}%{_sysconfdir}/prelink.conf.d/mono.conf << _EOF
-b /usr/bin/monodis
_EOF

install -Dm 644 %{SOURCE1} %{buildroot}%{_binfmtdir}/mono.conf

# fix symlink pointing to buildroot
rm -f %{buildroot}%{_bindir}/mono
ln -s mono-sgen %{buildroot}%{_bindir}/mono

ln -s mcs %{buildroot}%{_bindir}/gmcs

# rpm helper scripts
mkdir -p %{buildroot}%{_prefix}/lib/rpm/fileattrs/
install -p -m755 %{SOURCE2} %{SOURCE3} %{buildroot}%{_prefix}/lib/rpm/
install -p -m644 %{SOURCE4} %{buildroot}%{_prefix}/lib/rpm/fileattrs/

# remove these files, we are using the files installed in /usr/lib/rpm/
rm %{buildroot}%{_bindir}/mono-find-requires
rm %{buildroot}%{_bindir}/mono-find-provides
 
%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
/sbin/ldconfig
%binfmt_apply mono.conf
[ -x %{_bindir}/monodoc ] &&
   %{_bindir}/monodoc --make-search-index &>/dev/null || :
:

%postun -p /sbin/ldconfig

%posttrans
if [ $1 -ge 1 ]; then
   cert-sync --quiet /etc/ssl/certs/ca-certificates.crt
fi
:

%files -f mcs.lang
%defattr(-,root,root)
%{_sysconfdir}/prelink.conf.d/mono.conf
%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/mconfig
%dir %{_sysconfdir}/%{name}/?.?
%config(noreplace) %{_sysconfdir}/%{name}/config
%config(noreplace) %{_sysconfdir}/%{name}/browscap.ini
%config(noreplace) %{_sysconfdir}/%{name}/?.?/DefaultWsdlHelpGenerator.aspx
%config(noreplace) %{_sysconfdir}/%{name}/?.?/web.config
%config(noreplace) %{_sysconfdir}/%{name}/mconfig/config.xml
%config(noreplace) %{_sysconfdir}/%{name}/?.?/machine.config
%config(noreplace) %{_sysconfdir}/%{name}/?.?/settings.map
%{_sysconfdir}/mono/*/Browsers/Compat.browser
%{_bindir}/aprofutil
%{_bindir}/disco
%{_bindir}/soapsuds
%{_bindir}/wsdl*
%{_bindir}/xsd*
%{_bindir}/cert-sync
%{_bindir}/cccheck
%{_bindir}/ccrewrite
%{_bindir}/certmgr
%{_bindir}/crlupdate
%{_bindir}/csharp
%{_bindir}/csc
%{_bindir}/csi
%{_bindir}/dmcs
%{_bindir}/chktrust
%{_bindir}/gacutil
#%{_bindir}/gacutil1
%{_bindir}/gacutil2
%{_bindir}/ikdasm
%{_bindir}/illinkanalyzer
%{_bindir}/mono-package-runtime
%{_bindir}/mono-symbolicate
%{_bindir}/%{name}-service
%{_bindir}/%{name}-service2
%{_bindir}/mconfig
%{_bindir}/lc
%{_bindir}/gmcs
%{_bindir}/mcs
%{_bindir}/mdassembler
%{_bindir}/mdoc
%{_bindir}/mdoc-*
%{_bindir}/mdvalidater
%{_bindir}/mod
%{_bindir}/mono
%{_bindir}/mono-api-html
%ifnarch aarch64
%{_bindir}/mono-boehm
%endif
%{_bindir}/mono-configuration-crypto
%{_bindir}/mono-hang-watchdog
%{_bindir}/mono-heapviz
%{_bindir}/mono-sgen
%{_bindir}/mprof-report
%{_bindir}/peverify
%{_bindir}/mono-test-install
%{_bindir}/mono-gdb.py
%{_bindir}/mono-sgen-gdb.py
%{_bindir}/%{name}-cil-strip
%{_bindir}/mdbrebase
%{_bindir}/mozroots
%{_bindir}/pdb2mdb
%{_bindir}/setreg
%{_bindir}/sn
%{_bindir}/sqlmetal
%{_bindir}/sgen-grep-binprot
%{_bindir}/sqlsharp
%{_bindir}/svcutil
%{_bindir}/vbc

%{_libdir}/lib%{name}-2.0.so.*
%ifnarch aarch64
%{_libdir}/libmonoboehm-2.0.so.*
%endif
%{_libdir}/lib%{name}sgen-2.0.so.*
%{_libdir}/lib%{name}-profiler-*.so.*
%{_libdir}/libmono-btls-shared.so
%{_libdir}/libmono-native.so.*

%{_libdir}/libikvm-native.so
%{_libdir}/libMonoPosixHelper.so
%{_libdir}/libMonoSupportW.so
%{_libdir}/mono/lldb/mono.py

%{_prefix}/lib/mono/2.0-api/*.dll
%{_prefix}/lib/mono/3.5-api/*.dll
%{_prefix}/lib/mono/4.0/*.dll
%{_prefix}/lib/mono/4.0-api/*.dll
%{_prefix}/lib/mono/4.5/*.dll
%{_prefix}/lib/mono/4.5/*.dll.so
%{_prefix}/lib/mono/4.5/*.exe
%{_prefix}/lib/mono/4.5/Facades/*
%{_prefix}/lib/mono/4.5/*.pdb
%{_prefix}/lib/mono/4.5/*.config
%{_prefix}/lib/mono/4.5/Microsoft.CSharp.targets
%{_prefix}/lib/mono/4.5/csc.exe.so
%{_prefix}/lib/mono/4.5/*.rsp
%{_prefix}/lib/mono/4.5/mcs.exe.so
%{_prefix}/lib/mono/4.5-api/*.dll
%{_prefix}/lib/mono/4.5-api/Facades/*
%{_prefix}/lib/mono/4.5.1-api/*.dll
%{_prefix}/lib/mono/4.5.1-api/Facades/*
%{_prefix}/lib/mono/4.5.2-api/*.dll
%{_prefix}/lib/mono/4.5.2-api/Facades/*
%{_prefix}/lib/mono/4.6-api/*.dll
%{_prefix}/lib/mono/4.6-api/Facades/*
%{_prefix}/lib/mono/4.6.1-api/*.dll
%{_prefix}/lib/mono/4.6.1-api/Facades/*
%{_prefix}/lib/mono/4.6.2-api/*.dll
%{_prefix}/lib/mono/4.6.2-api/Facades/*
%{_prefix}/lib/mono/4.7-api/*.dll
%{_prefix}/lib/mono/4.7-api/Facades/*
%{_prefix}/lib/mono/4.7.1-api/*.dll
%{_prefix}/lib/mono/4.7.1-api/Facades/*
%{_prefix}/lib/mono/4.7.2-api/*.dll
%{_prefix}/lib/mono/4.7.2-api/Facades/*
%{_prefix}/lib/mono/4.8-api/*.dll
%{_prefix}/lib/mono/4.8-api/Facades/*.dll

%{_prefix}/lib/mono/gac/*/*/*.dll
%{_prefix}/lib/mono/gac/*/*/*.pdb
%{_prefix}/lib/mono/gac/mono-service/4.0.0.0__0738eb9f132ed756/mono-service.exe
%{_prefix}/lib/mono/gac/monodoc/1.0.0.0__0738eb9f132ed756/monodoc.dll.config

%dir %{_prefix}/lib/mono/msbuild/Current/bin/Roslyn
%{_prefix}/lib/mono/msbuild/Current/bin/Roslyn/*
%{_prefix}/lib/%{name}/mono-configuration-crypto

%{_binfmtdir}/mono.conf
%{_datadir}/%{name}-*

%{_mandir}/man1/*.1*
%{_mandir}/man5/mdoc.5*
%{_mandir}/man5/mono-config.5*
   
# formerly devel
%{_bindir}/%{name}dis
%{_bindir}/pedump
%{_bindir}/monodocer
%{_bindir}/monodocs2html
%{_bindir}/monodocs2slashdoc
%{_bindir}/monolinker
%{_bindir}/al*
%{_bindir}/caspol
%{_bindir}/cert2spc
%{_bindir}/dtd2xsd
%{_bindir}/dtd2rng
%{_bindir}/genxs
%{_bindir}/httpcfg
%{_bindir}/sgen
%{_bindir}/ilasm*
%{_bindir}/installvst
%{_bindir}/macpack
%{_bindir}/makecert
%{_bindir}/mkbundle
%{_prefix}/lib/mono-source-libs/*
%{_prefix}/lib/%{name}/monodoc/monodoc.dll
%{_bindir}/%{name}-api-info*
%{_bindir}/%{name}p*
%{_bindir}/%{name}-shlib-cop
%{_bindir}/%{name}-xmltool
%{_bindir}/permview
%{_bindir}/resgen*
%{_bindir}/secutil
%{_bindir}/signcode
%{_bindir}/xbuild
%dir %{_prefix}/lib/%{name}/xbuild
%{_prefix}/lib/%{name}/xbuild/*
%dir %{_prefix}/lib/%{name}/xbuild-frameworks
%dir %{_prefix}/lib/mono/xbuild-frameworks/.NETFramework
%{_prefix}/lib/mono/xbuild-frameworks/.NETFramework/*
%dir %{_prefix}/lib/mono/xbuild-frameworks/.NETPortable
%{_prefix}/lib/mono/xbuild-frameworks/.NETPortable/*
%dir %{_prefix}/lib/%{name}/gac/Mono.XBuild.Tasks

%{_prefix}/lib/%{name}/*/MSBuild
%{_prefix}/lib/%{name}/*/Microsoft.Build.xsd
%{_prefix}/lib/%{name}/*/Microsoft.Common.tasks
%{_prefix}/lib/%{name}/*/Microsoft.Common.targets
%{_prefix}/lib/%{name}/*/Microsoft.VisualBasic.targets

%doc COPYING.LIB

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}-*
%{_prefix}/lib/rpm/mono-find-provides
%{_prefix}/lib/rpm/mono-find-requires
%{_prefix}/lib/rpm/fileattrs/mono.attr
%{_libdir}/lib%{name}-2.0.so
%{_libdir}/lib%{name}-2.0.a
%{_libdir}/lib%{name}-2.0.la
%ifnarch aarch64
%{_libdir}/libmonoboehm-2.0.a
%{_libdir}/libmonoboehm-2.0.la
%{_libdir}/libmonoboehm-2.0.so
%endif
%{_libdir}/lib%{name}sgen-2.0.so
%{_libdir}/lib%{name}sgen-2.0.a
%{_libdir}/lib%{name}sgen-2.0.la
%{_libdir}/libmono-native.a
%{_libdir}/libmono-native.la
%{_libdir}/libmono-native.so
%{_libdir}/lib%{name}-profiler-*.a
%{_libdir}/lib%{name}-profiler-*.la
%{_libdir}/lib%{name}-profiler-*.so
%{_libdir}/libikvm-native.a
%{_libdir}/libikvm-native.la
%{_libdir}/libMonoPosixHelper.a
%{_libdir}/libMonoPosixHelper.la
%{_libdir}/libMonoSupportW.a
%{_libdir}/libMonoSupportW.la

%{_libdir}/pkgconfig/aspnetwebstack.pc
%{_libdir}/pkgconfig/cecil.pc
%{_libdir}/pkgconfig/dotnet.pc
%{_libdir}/pkgconfig/dotnet35.pc
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/%{name}-2.pc
%{_libdir}/pkgconfig/%{name}-cairo.pc
%{_libdir}/pkgconfig/%{name}-lineeditor.pc
%{_libdir}/pkgconfig/%{name}-options.pc
%{_libdir}/pkgconfig/%{name}sgen-2.pc
%{_libdir}/pkgconfig/monodoc.pc
%{_libdir}/pkgconfig/reactive.pc
%{_libdir}/pkgconfig/system.web.mvc.pc
%{_libdir}/pkgconfig/system.web.mvc2.pc
%{_libdir}/pkgconfig/system.web.mvc3.pc
%{_libdir}/pkgconfig/system.web.extensions*.pc
%{_libdir}/pkgconfig/wcf.pc
%{_libdir}/pkgconfig/xbuild12.pc
#%doc ChangeLog NEWS

%changelog
* Thu Jun 16 2022 Automatic Build System <autodist@mambasoft.it> 6.12.0.182-1mamba
- automatic version update by autodist

* Wed Nov 24 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 6.12.0.122-2mamba
- rpm: install mono.attr and mono-find-[requires|provides]

* Thu Feb 25 2021 Automatic Build System <autodist@mambasoft.it> 6.12.0.122-1mamba
- automatic version update by autodist

* Fri Dec 25 2020 Automatic Build System <autodist@mambasoft.it> 6.12.0.107-1mamba
- automatic version update by autodist

* Sat Sep 26 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 6.10.0.104-3mamba
- add two other mono() = version requirements for dependent packages

* Sat Sep 26 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 6.10.0.104-2mamba
- add missing provides

* Thu Aug 13 2020 Automatic Build System <autodist@mambasoft.it> 6.10.0.104-1mamba
- automatic version update by autodist

* Mon Dec 09 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 6.4.0.198-1mamba
- update to 6.4.0.198

* Tue Oct 04 2016 Automatic Build System <autodist@mambasoft.it> 4.6.1.3-1mamba
- automatic version update by autodist

* Wed Jul 27 2016 Automatic Build System <autodist@mambasoft.it> 4.4.1.0-1mamba
- automatic version update by autodist

* Tue Apr 19 2016 Automatic Build System <autodist@mambasoft.it> 4.4.0.40-1mamba
- automatic version update by autodist

* Thu Jan 28 2016 Automatic Build System <autodist@mambasoft.it> 4.2.2.30-1mamba
- automatic version update by autodist

* Tue Dec 29 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.2.10-2mamba
- more Microsoft.Build.Framework from -devel to -core

* Thu Dec 24 2015 Automatic Build System <autodist@mambasoft.it> 4.2.2.10-1mamba
- automatic version update by autodist

* Tue Dec 08 2015 Automatic Build System <autodist@mambasoft.it> 4.2.1.102-1mamba
- automatic version update by autodist

* Sat Mar 15 2014 Automatic Build System <autodist@mambasoft.it> 3.2.8-1mamba
- automatic version update by autodist

* Sat Mar 08 2014 Automatic Build System <autodist@mambasoft.it> 3.2.3-1mamba
- automatic version update by autodist

* Wed Aug 14 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.1-1mamba
- update to 3.2.1

* Wed Jul 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.12-2mamba
- disable prelink of monodis

* Mon Jul 15 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.12-1mamba
- update to 3.0.12

* Sun May 26 2013 Automatic Build System <autodist@mambasoft.it> 3.0.7-1mamba
- automatic version update by autodist

* Fri Nov 09 2012 Automatic Build System <autodist@mambasoft.it> 3.0.1-1mamba
- automatic version update by autodist

* Sat Oct 27 2012 Automatic Build System <autodist@mambasoft.it> 3.0.0-1mamba
- automatic version update by autodist

* Wed Aug 15 2012 Automatic Build System <autodist@mambasoft.it> 2.11.3-1mamba
- update to 2.11.3

* Wed Apr 27 2011 Automatic Build System <autodist@mambasoft.it> 2.10.2-1mamba
- automatic update by autodist

* Sat Feb 26 2011 Automatic Build System <autodist@mambasoft.it> 2.10.1-1mamba
- automatic update by autodist

* Fri Feb 18 2011 Automatic Build System <autodist@mambasoft.it> 2.10-1mamba
- automatic update by autodist

* Thu Jan 06 2011 Automatic Build System <autodist@mambasoft.it> 2.8.2-1mamba
- automatic update by autodist

* Thu Nov 18 2010 Automatic Build System <autodist@mambasoft.it> 2.8.1-1mamba
- automatic update to 2.8.1 by autodist

* Fri Oct 29 2010 Automatic Build System <autodist@mambasoft.it> 2.8-1mamba
- automatic update by autodist

* Mon Jul 26 2010 Automatic Build System <autodist@mambasoft.it> 2.6.7-1mamba
- automatic update to 2.6.7 by autodist

* Thu Jun 24 2010 Ercole 'ercolinux' Carpanettp <ercole69@gmail.com> 2.6.4-2mamba
- added a patch to fix Requires in pkgconfig file (fixes openoffice 3.2 build)

* Tue Apr 27 2010 Automatic Build System <autodist@mambasoft.it> 2.6.4-1mamba
- automatic update to 2.6.4 by autodist

* Tue Mar 16 2010 Automatic Build System <autodist@mambasoft.it> 2.6.3-1mamba
- automatic update to 2.6.3 by autodist

* Tue Dec 22 2009 Automatic Build System <autodist@mambasoft.it> 2.6.1-1mamba
- automatic update to 2.6.1 by autodist

* Wed Dec 09 2009 Automatic Build System <autodist@mambasoft.it> 2.4.3-1mamba
- automatic update to 2.4.3 by autodist

* Wed Jul 29 2009 Automatic Build System <autodist@mambasoft.it> 2.4.2.3-1mamba
- automatic update to 2.4.2.3 by autodist

* Tue Jul 21 2009 Automatic Build System <autodist@mambasoft.it> 2.4.2.2-1mamba
- automatic update by autodist

* Tue Jul 07 2009 Automatic Build System <autodist@mambasoft.it> 2.4.2.1-1mamba
- automatic update to 2.4.2.1 by autodist

* Tue Jun 30 2009 Automatic Build System <autodist@mambasoft.it> 2.4.2-1mamba
- automatic update to 2.4.2 by autodist

* Mon Mar 30 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4-1mamba
- automatic update to 2.4 by autodist

* Wed Mar 25 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2-3mamba
- mono-core: require mono data

* Tue Jan 27 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2-2mamba
- obsolete monodoc, provided internally since 2.2 release

* Tue Jan 27 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2-1mamba
- automatic update to 2.2 by autodist

* Sat Oct 25 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.1-1mamba
- automatic update to 2.0.1 by autodist

* Wed Jul 16 2008 gil <puntogil@libero.it> 1.9.1-1mamba
- update to 1.9.1

* Wed Aug 29 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.4-2mamba
- package with static libraries in mono-devel

* Fri Jun 29 2007 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.2.4-1mamba
- update to 1.2.4

* Thu Dec 21 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.2.1-1qilnx
- update to version 1.2.2.1 by autospec
- run ldconfig in post/postun

* Mon Sep 05 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.1.8.3-1qilnx
- package created by autospec
